DECLARE @IUserName NVARCHAR(50)
DECLARE @StartWith NCHAR(1)
SET @IUserName = N'jabbar'
SET @StartWith = N'L'

SELECT      Gp.GroupName FROM         dbo.tblUsers AS Usr INNER JOIN
                      dbo.tblGroups AS Gp ON Usr.IUserID = Gp.GroupCreatorID
GROUP BY Gp.GroupName, Usr.IUserName
HAVING      (Usr.IUserName = @IUserName) AND (Gp.GroupName LIKE @StartWith + '%')

